//ETPOT241  JOB ,
// MSGCLASS=H,TIME=(,4),REGION=28M,COND=(16,LT)
//*
//*  SETUP JOB FOR WDz v6.01  POT
//*
//*  NEEDED FOR THE Z/OS   LAB EXERCISES
//*   CHANGE 'ETPOT24' TO YOUR MVS USER ID
//*  *************************************************************
//* STEP:  DELIST
//*
//*  DE-ALLOCATE DATASETS NEEDED FOR POT
//*  (PRIOR TO ALLOCATING THEM IN THE NEXT STEP)
//* *************************************************************
//DELIST EXEC PGM=IDCAMS
//SYSPRINT DD SYSOUT=*
  DELETE ETPOT24.POT.COBOL
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.COPYLIB
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.OBJ
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.PLI
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.LISTING
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.PLI.LISTING
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.LOAD
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.JCL
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.SP2.COBOL
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.DBRMLIB
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.LAB5
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.ERRCOB
  IF LASTCC = 8 THEN SET MAXCC = 4
  DELETE ETPOT24.POT.DEBUG
  IF LASTCC = 8 THEN SET MAXCC = 4
/*
//*
//* *************************************************************
//* STEP: ALLOC
//*
//*  ALLOCATE DATASETS NEEDED FOR WDz POT
//*
//* *************************************************************
//*
//ALLOC EXEC PGM=IEFBR14,COND=(4,LT)
//JCLSRC DD DSN=ETPOT24.POT.JCL,DISP=(NEW,CATLG,DELETE),
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20))
//COBSRC DD DSN=ETPOT24.POT.COBOL,DISP=(NEW,CATLG,DELETE),
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20))
//COBCPY DD DSN=ETPOT24.POT.COPYLIB,
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20)),
//      DISP=(NEW,CATLG,DELETE)
//COBOBJ DD DSN=ETPOT24.POT.OBJ,
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20)),
//      DISP=(NEW,CATLG,DELETE)
//*PLISRC DD DSN=ETPOT24.POT.PLI,
//*      RECFM=FB,LRECL=80,BLKSIZE=3200,SPACE=(CYL,(2,1,20)),
//*      DISP=(NEW,CATLG,DELETE)
//COBLST DD DSN=ETPOT24.POT.LISTING,
//      RECFM=FBA,LRECL=133,BLKSIZE=1330,SPACE=(CYL,(2,1,20)),
//      DISP=(NEW,CATLG,DELETE)
//*PLILST DD DSN=ETPOT24.POT.PLI.LISTING,
//*      RECFM=VBA,LRECL=137,BLKSIZE=27998,SPACE=(CYL,(2,1,20)),
//*      DISP=(NEW,CATLG,DELETE)
//LOADL DD DSN=ETPOT24.POT.LOAD,RECFM=U,
//      BLKSIZE=6233,SPACE=(CYL,(2,1,20)),
//      DISP=(NEW,CATLG,DELETE)
//LAB801 DD DSN=ETPOT24.POT.SP2.COBOL,DISP=(NEW,CATLG,DELETE),
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20))
//*LAB802 DD DSN=ETPOT24.POT.DBRMLIB,DISP=(NEW,CATLG,DELETE),
//*      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20))
//DEBUG DD DSN=ETPOT24.POT.DEBUG,
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20)),
//      DISP=(NEW,CATLG,DELETE)
//ERRCOB DD DSN=ETPOT24.ERRCOB,
//      RECFM=FB,LRECL=80,BLKSIZE=8000,SPACE=(CYL,(2,1,20)),
//      DISP=(NEW,CATLG,DELETE)
//*
//*
//* *************************************************************
//* STEP: COPY
//*
//*  COPY MEMBERS NEEDED FOR WDz POT
//*
//* *************************************************************
//*
//COPY  EXEC PGM=IEBCOPY,COND=(4,LT)
//SYSPRINT DD SYSOUT=*
//I1    DD DSN=WDZ.POT.COBOL,DISP=SHR
//O1    DD DSN=ETPOT24.POT.COBOL,DISP=SHR
//I2    DD DSN=WDZ.POT.COPYLIB,DISP=SHR
//O2    DD DSN=ETPOT24.POT.COPYLIB,DISP=SHR
//I3    DD DSN=WDZ.POT.OBJ,DISP=SHR
//O3    DD DSN=ETPOT24.POT.OBJ,DISP=SHR
//*I4    DD DSN=WDZ.POT.LOAD,DISP=SHR
//*O4    DD DSN=ETPOT24.POT.LOAD,DISP=SHR
//SYSUT3 DD UNIT=SYSDA,SPACE=(TRK,(1))
//SYSUT4 DD UNIT=SYSDA,SPACE=(TRK,(1))
//SYSIN DD *
COPY1   COPY OUTDD=O1
             INDD=I1
        SELECT MEMBER=(IGYIVP,IGYTSALE)
COPY2   COPY OUTDD=O2
             INDD=I2
        SELECT MEMBER=(IGYTCRC,IGYTPRC,IGYTSRC)
COPY4   COPY OUTDD=O3
             INDD=I3
        SELECT MEMBER=(REGI0B,REGI0C)


/*
//*COPY5   COPY OUTDD=O4
//*             INDD=I4
//*        SELECT MEMBER=(REGI0B)
//